<form id="form" #orderForm="ngForm" (submit)="saveOrder(order)">
    <app-customer [(value)]="order.customer"></app-customer>
    <app-choice [(value)]="order.choice"></app-choice>
    <app-lieferzeit [(ngModel)]="order.lieferzeit" name="lieferzeit"></app-lieferzeit>
    <p>
        <label for="instructions">Sonderwünsche:</label><br />
        <textarea id="instructions" name="instructions" rows="3" [(ngModel)]="order.instructions" ngModel></textarea>
    </p>

    <input type="submit" name="submit" [disabled]="!orderForm.valid" value="Daten speichern" />
    <input type="submit" (click)="cancelOrder(order)" value="Cancel" />
   <!--
    <p>orderForm.valid = {{orderForm.valid}}</p>
    <pre>JSON: {{orderForm.value | json}}</pre>
   -->
</form>